---
name: Bug report (including performance and build issues)
about: Create a report to help us improve Bellman
title: ''
labels: bug
assignees: ''
---

<!-- Lines like this are comments and will be invisible -->

# Bug / performance issue / build issue

<!-- A clear and concise description of what the bug is. -->


## To reproduce

Steps to reproduce the behaviour:
1. ...
2. ...
3. ...
4. ...


**Minimal, reproducible example**
<!-- We need to be able to reproduce the bug by simply copy and pasting your code -->
```python
# This is the place for your code that reproduces the bug.
# Please make sure it does not depend on external libraries (beyond Bellman's own requirements) or specific datasets, and the smaller, the better :)
# For help on how to write a good bug report, see https://stackoverflow.com/help/minimal-reproducible-example
```


**Stack trace, or error message**
```
// Paste the full stack trace/error message here
```


## Expected behavior

<!-- A clear and concise description of what you expected to happen. -->


## System information

 - OS: ...
 - Python version: ... <!-- run `python3 -V` on the command line, or `import sys; print(sys.version)` inside python -->
 - Bellman version: ... <!-- run `import bellman; print(bellman.__version__)` inside python -->


## Additional context

<!-- Add any other context about the problem here. -->
